Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.27 veröffentlicht (22.06.21)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
Unexpected token in inline_edit.js
#1
Moin Moin,

ich habe gerade gesehen das bei mir in der Thread Übersicht in der Konsole der Fehler 
Zitat:Uncaught SyntaxError: Unexpected token ')'       inline_edit.js?ver=1821:78

angezeigt wird.

In Zeile 67 bis 78 der inline_edit.js steht 
Code:
                // We may click again in the textbox and we'd be adding a new (invalid) clone - we don't want that!
                if(!$('#tid_' + tid + '_temp').length)
                    $(this).clone().attr('id','tid_' + tid + '_temp').hide().appendTo("body");

                inlineEditor.timeouts[tid] = setTimeout(inlineEditor.jeditableTimeout, 700, tid);
            });

            $(this).on('mouseup mouseleave', function()
            {
                window.clearTimeout(inlineEditor.timeouts[tid]);
            });
        });

Kann mir da jemand weiterhelfen?
Zitieren
#2
Hast Du Änderungen an der Datei vorgenommenun bzw. einfach mal die inline_edit.js durch das Original ersetzt?
viele Grüße
Jockl
übersetzte und eigene Plugins
Zitieren
#3
Habe an der Datei keine Änderungen vorgenommen und auch nach einem erneuten upload der inline_edit.js aus dem mybb 1.8.22 Paket ist der Fehler noch da.
Zitieren
#4
Im FF sehe ich diesen Fehler nicht.
Dort sehe ich nur : "ReferenceError: jQuery is not defined"
Dieser Fehler entsteht im Template headerinclude an dieser Stelle:
PHP-Code:
<script type="text/javascript">
jQuery.noConflict();
jQuery(document).ready(function($){ 
$(
".forumbit_subforums").each(function () {
 if($(
this).length){
  $(this).parents(".rowbit").find("a[data-subforum]").addClass("smalltext").attr("data-subforum""true");
 }
}); 
});
</
script

jquery ist an dieser Stelle noch gar nicht eingebunden, daher der Fehler.
Das wird wohl aber mit dem von Dir genannten Fehler nichts zu tun haben. - oder vielleicht doch?
Zitieren
#5
(18.06.2020, 12:25)Schnapsnase schrieb: Dort sehe ich nur : "ReferenceError: jQuery is not defined"

Ja den Fehler habe ich schon von Anfang an bei dem Netpen Theme und wurde auf mybb.com auch hier schon angesprochen aber nicht gelöst.

Da der js Fehler vorher auch nicht da war, wird das wohl nicht zusammen hängen.

In Chrome wird mir der inline_edit.js Fehler in Foren und der Themen Übersicht angezeigt.
   


Edit: Habe gerade mal das BootBB Theme instaliert dort kommt der Fehler auch.
Zitieren
#6
Versuche mal folgendes:

Füge das o.g. Script mal unterhalb von
PHP-Code:
<script>
var 
jq172 jQuery.noConflict();
</
script
ein. also so:
PHP-Code:
<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>
<
script>
var jq172 = jQuery.noConflict();
</
script>
<
script type="text/javascript">
jQuery.noConflict();
jQuery(document).ready(function($){ 
$(".forumbit_subforums").each(function () {
 if($(this).length){
  $(this).parents(".rowbit").find("a[data-subforum]").addClass("smalltext").attr("data-subforum", "true");
 }
});
 
});
</
script
Ich frage mich sowieso, warum hier soviele alte und unterschiedliche jquery-Versionen eingebunden werden müssen. Confused
Zitieren
#7
(18.06.2020, 13:01)Schnapsnase schrieb: Versuche mal folgendes:

Füge das o.g. Script mal unterhalb von
PHP-Code:
<script>
var 
jq172 jQuery.noConflict();
</
script
ein. also so:
PHP-Code:
<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>
<
script>
var jq172 = jQuery.noConflict();
</
script>
<
script type="text/javascript">
jQuery.noConflict();
jQuery(document).ready(function($){ 
$(".forumbit_subforums").each(function () {
 if($(this).length){
  $(this).parents(".rowbit").find("a[data-subforum]").addClass("smalltext").attr("data-subforum", "true");
 }
});
 
}), oder ob 
</script
Ich frage mich sowieso, warum hier soviele alte und unterschiedliche jquery-Versionen eingebunden werden müssen. Confused

Cool  wenigstens einen Fehler behoben der eigentlich nicht auf dem Plan stand.

Ja warum das so viele Versionen sind weiß ich auch nicht, ich kenne mich mit den jquery´s auch nicht aus um zu wissen ob jquery/1.11.1/jquery.min.js ausreicht und /jquery/1.7.2/jquery.min.js dann gelöscht werden kann, oder ob wirklich beide benötigt werden.
Zitieren
#8
(18.06.2020, 13:14)lenox schrieb: Cool  wenigstens einen Fehler behoben der eigentlich nicht auf dem Plan stand.

Man muss eben auch mal mit wenig(er) zufrieden sein. Big Grin Big Grin
Zitieren
#9
(18.06.2020, 12:53)lenox schrieb: In Chrome wird mir der inline_edit.js Fehler in Foren und der Themen Übersicht angezeigt.

Habe gerade nochmal nachgesehen...
FF, Chrome, Opera - ich sehe diesen Fehler nirgends. (Win10, Browser alle aktuell)
Hat er denn irgendwelche Auswirkungen bei Dir?
Zitieren
#10
Ich denke das liegt daran das du keine rechte für inline Moderation hast, als Gast und Mitglied sehe ich den Fehler auch nicht.

Auswirkungen habe ich bisher keine dadurch bemerkt.
Zitieren


Möglicherweise verwandte Themen…
Thema Verfasser Antworten Ansichten Letzter Beitrag
  Syntax error unexpected '<' in /inc/settings.php Alex L 2 1.523 26.03.2015, 15:58
Letzter Beitrag: Alex L